Subject: [dnsext] [Editorial Errata Reported] RFC4034 (2824)

From: RFC Errata System <[email-masked]>
Date: Mon, 6 Jun 2011 05:52:06 -0700 (PDT)

The following errata report has been submitted for RFC4034,
"Resource Records for the DNS Security Extensions".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4034&eid=2824

--------------------------------------
Type: Editorial
Reported by: Edward Lewis <[email-masked]>

Section: 3.1.3

Original Text
-------------
   The value of the Labels field MUST NOT count either the null (root)
   label that terminates the owner name or the wildcard label (if
   present).

Corrected Text
--------------
   The value of the Labels field MUST NOT count either the null (root)
   label that terminates the owner name or the leftmost label if
   it is a wildcard.

Notes
-----
In RFC 4035, section 2.2, describing the same count uses this: ... "and not counting the leftmost label if it is a wildcard" to omit the leading wildcard label.  (In 4034, the wildcard label is defined as "*" earlier in the same problematic section.)

The text in 4034 could be confused with having to count "wildcard labels" in the middle of a name, such as in name.*.tld.  The reason for suggesting this errata is for compliance considerations.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC4034 (draft-ietf-dnsext-dnssec-records-11)
--------------------------------------
Title               : Resource Records for the DNS Security Extensions
Publication Date    : March 2005
Author(s)           : R. Arends, R. Austein, M. Larson, D. Massey, S. Rose
Category            : PROPOSED STANDARD
Source              : DNS Extensions
Area                : Internet
Stream              : IETF
Verifying Party     : IESG